Lavalite package that provides bike management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bikebd/bike`.

    "bikebd/bike": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bikebd\Bike\Providers\BikeServiceProvider::class,

And also add it to alias

    'Bike'  => Bikebd\Bike\Facades\Bike::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bikebd\\Bike\\Seeders\\BikeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bikebd\Bike\Providers\BikeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bikebd\Bike\Providers\BikeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bikebd\Bike\Providers\BikeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/bike/{modulename}

**User**

    http://path-to-route-folder/user/bike/{modulename}

**Public**

    http://path-to-route-folder/bikes


### API endpoints

**List**

    http://path-to-route-folder/api/user/bike/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/bike/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/bike/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/bike/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/bike/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/bike/{modulename}/{slug}
    METHOD: GET